Package writer2latex.api

# Class IndexPageEntry

java.lang.Object
writer2latex.api.IndexPageEntry

public class IndexPageEntry extends Object
This class represents a single entry on an index page created by a batch converter

## Constructor Summary

Constructors
Constructor
Description
`IndexPageEntry(String sFile, boolean bIsDirectory)`
Construct a new `IndexPageEntry` based on a file name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description
`String`
`getDisplayName()`
Get the display name
`String`
`getFile()`
Get the file name
`String`
`getOriginalFile()`
Get the original file name
`String`
`getPdfFile()`
Get the pdf file name
`boolean`
`isDirectory()`
Check whether this is a file or a directory
`void`
`setDescription(String sDescription)`
Set the description of this file (additional information about the file)
`void`
`setDisplayName(String sDisplayName)`
Set the display name for this entry.
`void`
`setFile(String sFile)`
Set the file name
`void`
`setOriginalFile(String sOriginalFile)`
Set the file name for the original file
`void`
`setPdfFile(String sPdfFile)`
Set the file name for a pdf file associated with this file

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IndexPageEntry

public IndexPageEntry(String sFile, boolean bIsDirectory)
Construct a new `IndexPageEntry` based on a file name. The file name is also used as display name.

Parameters:
  `sFile` - the file name for this entry
  `bIsDirectory` - true if this is a directory, false if it is a file

## Method Details

### setFile

public void setFile(String sFile)
Set the file name

Parameters:
  `sFile` - the file name

### setDisplayName

public void setDisplayName(String sDisplayName)
Set the display name for this entry. The display name is the name presented on the index page.

Parameters:
  `sDisplayName` - the display name

### setDescription

public void setDescription(String sDescription)
Set the description of this file (additional information about the file)

Parameters:
  `sDescription` - the description

### setPdfFile

public void setPdfFile(String sPdfFile)
Set the file name for a pdf file associated with this file

Parameters:
  `sPdfFile` - the file name

### setOriginalFile

public void setOriginalFile(String sOriginalFile)
Set the file name for the original file

Parameters:
  `sOriginalFile` - the origianl file name

### getFile

public String getFile()
Get the file name

Returns:
  the file name

### getDisplayName

public String getDisplayName()
Get the display name

Returns:
  the display name

### getDescription

public String getDescription()
Get the description

Returns:
  the description, or null if there is no description

### getPdfFile

public String getPdfFile()
Get the pdf file name

Returns:
  the file name or null if there is none

### getOriginalFile

public String getOriginalFile()
Get the original file name

Returns:
  the file name or null if there is none

### isDirectory

public boolean isDirectory()
Check whether this is a file or a directory

Returns:
  true for a directory, false for a file